b5125c23bec783d6d23ee6722516712a6e0eb8df
[packages/evolution-ews.git] / evolution-ews.spec
1 Summary:        Evolution extension for Exchange Web Services
2 Summary(pl.UTF-8):      Rozszerzenie Evolution dla Exchange Web Services
3 Name:           evolution-ews
4 Version:        3.20.4
5 Release:        1
6 License:        LGPL v2+
7 Group:          X11/Applications/Mail
8 Source0:        http://ftp.gnome.org/pub/GNOME/sources/evolution-ews/3.20/%{name}-%{version}.tar.xz
9 # Source0-md5:  1db3025ab3309a9713027026bdd56c46
10 URL:            http://projects.gnome.org/evolution/
11 BuildRequires:  autoconf >= 2.58
12 BuildRequires:  automake >= 1:1.9
13 BuildRequires:  evolution-data-server-devel >= %{version}
14 BuildRequires:  evolution-devel >= %{version}
15 BuildRequires:  gettext-tools
16 BuildRequires:  glib2-devel >= 1:2.40.0
17 BuildRequires:  gtk+3-devel >= 3.0.0
18 BuildRequires:  gtk-doc >= 1.9
19 BuildRequires:  intltool >= 0.40.0
20 BuildRequires:  libical-devel
21 BuildRequires:  libmspack-devel >= 0.4
22 BuildRequires:  libsoup-devel >= 2.42.0
23 BuildRequires:  libtool >= 2:2.2
24 BuildRequires:  pkgconfig
25 BuildRequires:  sqlite3-devel
26 BuildRequires:  tar >= 1:1.22
27 BuildRequires:  xz
28 Requires:       evolution >= %{version}
29 Requires:       evolution-data-server >= %{version}
30 Requires:       glib2 >= 1:2.40.0
31 Requires:       libsoup >= 2.42.0
32 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
33
34 %description
35 This package allows Evolution to interact with Microsoft Exchange
36 servers, versions 2007 and later, through its Exchange Web Services
37 (EWS) interface.
38
39 %description -l pl.UTF-8
40 Ten pakiet pozwala programowi Evolution współpracować z serwerami
41 Microsoft Exchange w wersji 2007 lub nowszej poprzez interfejs EWS
42 (Exchange Web Services).
43
44 %package devel
45 Summary:        Development files for EWS libraries
46 Summary(pl.UTF-8):      Pliki programistyczne bibliotek EWS
47 Group:          X11/Development/Libraries
48 Requires:       evolution-data-server-devel >= %{version}
49 Requires:       glib2-devel >= 1:2.40.0
50 Requires:       libsoup-devel >= 2.42.0
51
52 %description devel
53 This package provides development files for EWS library.
54
55 %description devel -l pl.UTF-8
56 Ten pakiet zawiera pliki programistyczne bibliotek EWS.
57
58 %prep
59 %setup -q
60
61 %build
62 %{__intltoolize}
63 %{__libtoolize}
64 %{__aclocal} -I m4
65 %{__autoconf}
66 %{__autoheader}
67 %{__automake}
68 %configure \
69         --disable-silent-rules
70 %{__make}
71
72 %install
73 rm -rf $RPM_BUILD_ROOT
74
75 %{__make} install \
76         DESTDIR=$RPM_BUILD_ROOT
77
78 %{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*.la
79 %{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*/*.la
80 %{__rm} $RPM_BUILD_ROOT%{_libdir}/evolution/modules/*.la
81
82 %find_lang %{name}
83
84 %clean
85 rm -rf $RPM_BUILD_ROOT
86
87 %files -f %{name}.lang
88 %defattr(644,root,root,755)
89 %doc AUTHORS ChangeLog NEWS README
90 %attr(755,root,root) %{_libdir}/evolution-data-server/libeews-1.2.so*
91 %attr(755,root,root) %{_libdir}/evolution-data-server/libewsutils.so*
92 %attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
93 %attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
94 %attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
95 %attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
96 %{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
97 %attr(755,root,root) %{_libdir}/evolution/modules/module-ews-configuration.so
98 %{_datadir}/evolution/errors/module-ews-configuration.error
99 %{_datadir}/evolution-data-server/ews
100 %{_datadir}/appdata/evolution-ews.metainfo.xml
101
102 %files devel
103 %defattr(644,root,root,755)
104 %{_includedir}/evolution-data-server/ews
This page took 0.047843 seconds and 2 git commands to generate.